; LCD_1D4 address and mask equates
LCD_1D4_Data_ADDR:	equ	4h
LCD_1D4_DriveMode_0_ADDR:	equ	104h
LCD_1D4_DriveMode_1_ADDR:	equ	105h
LCD_1D4_GlobalSelect_ADDR:	equ	6h
LCD_1D4_IntCtrl_0_ADDR:	equ	106h
LCD_1D4_IntCtrl_1_ADDR:	equ	107h
LCD_1D4_IntEn_ADDR:	equ	5h
LCD_1D4_MASK:	equ	1h
; LCD_1D4_Data access macros
;   GetLCD_1D4_Data macro, return in a
macro GetLCD_1D4_Data
	mov		a,[Port_1_Data_SHADE]
	and		a, 1h
endm
;   SetLCD_1D4_Data macro
macro SetLCD_1D4_Data
	or		[Port_1_Data_SHADE], 1h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm
;   SetLCD_1D4_Data macro
macro ClearLCD_1D4_Data
	and		[Port_1_Data_SHADE], ~1h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm

; LCD_1D4_DriveMode_0 access macros
;   GetLCD_1D4_DriveMode_0 macro, return in a
macro GetLCD_1D4_DriveMode_0
	mov		a,[Port_1_DriveMode_0_SHADE]
	and		a, 1h
endm
;   SetLCD_1D4_DriveMode_0 macro
macro SetLCD_1D4_DriveMode_0
	or		[Port_1_DriveMode_0_SHADE], 1h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm
;   SetLCD_1D4_DriveMode_0 macro
macro ClearLCD_1D4_DriveMode_0
	and		[Port_1_DriveMode_0_SHADE], ~1h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm

; LCD_1D4_DriveMode_1 access macros
;   GetLCD_1D4_DriveMode_1 macro, return in a
macro GetLCD_1D4_DriveMode_1
	mov		a,[Port_1_DriveMode_1_SHADE]
	and		a, 1h
endm
;   SetLCD_1D4_DriveMode_1 macro
macro SetLCD_1D4_DriveMode_1
	or		[Port_1_DriveMode_1_SHADE], 1h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm
;   SetLCD_1D4_DriveMode_1 macro
macro ClearLCD_1D4_DriveMode_1
	and		[Port_1_DriveMode_1_SHADE], ~1h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm

; LCD_1D5 address and mask equates
LCD_1D5_Data_ADDR:	equ	4h
LCD_1D5_DriveMode_0_ADDR:	equ	104h
LCD_1D5_DriveMode_1_ADDR:	equ	105h
LCD_1D5_GlobalSelect_ADDR:	equ	6h
LCD_1D5_IntCtrl_0_ADDR:	equ	106h
LCD_1D5_IntCtrl_1_ADDR:	equ	107h
LCD_1D5_IntEn_ADDR:	equ	5h
LCD_1D5_MASK:	equ	2h
; LCD_1D5_Data access macros
;   GetLCD_1D5_Data macro, return in a
macro GetLCD_1D5_Data
	mov		a,[Port_1_Data_SHADE]
	and		a, 2h
endm
;   SetLCD_1D5_Data macro
macro SetLCD_1D5_Data
	or		[Port_1_Data_SHADE], 2h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm
;   SetLCD_1D5_Data macro
macro ClearLCD_1D5_Data
	and		[Port_1_Data_SHADE], ~2h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm

; LCD_1D5_DriveMode_0 access macros
;   GetLCD_1D5_DriveMode_0 macro, return in a
macro GetLCD_1D5_DriveMode_0
	mov		a,[Port_1_DriveMode_0_SHADE]
	and		a, 2h
endm
;   SetLCD_1D5_DriveMode_0 macro
macro SetLCD_1D5_DriveMode_0
	or		[Port_1_DriveMode_0_SHADE], 2h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm
;   SetLCD_1D5_DriveMode_0 macro
macro ClearLCD_1D5_DriveMode_0
	and		[Port_1_DriveMode_0_SHADE], ~2h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm

; LCD_1D5_DriveMode_1 access macros
;   GetLCD_1D5_DriveMode_1 macro, return in a
macro GetLCD_1D5_DriveMode_1
	mov		a,[Port_1_DriveMode_1_SHADE]
	and		a, 2h
endm
;   SetLCD_1D5_DriveMode_1 macro
macro SetLCD_1D5_DriveMode_1
	or		[Port_1_DriveMode_1_SHADE], 2h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm
;   SetLCD_1D5_DriveMode_1 macro
macro ClearLCD_1D5_DriveMode_1
	and		[Port_1_DriveMode_1_SHADE], ~2h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm

; LCD_1D6 address and mask equates
LCD_1D6_Data_ADDR:	equ	4h
LCD_1D6_DriveMode_0_ADDR:	equ	104h
LCD_1D6_DriveMode_1_ADDR:	equ	105h
LCD_1D6_GlobalSelect_ADDR:	equ	6h
LCD_1D6_IntCtrl_0_ADDR:	equ	106h
LCD_1D6_IntCtrl_1_ADDR:	equ	107h
LCD_1D6_IntEn_ADDR:	equ	5h
LCD_1D6_MASK:	equ	4h
; LCD_1D6_Data access macros
;   GetLCD_1D6_Data macro, return in a
macro GetLCD_1D6_Data
	mov		a,[Port_1_Data_SHADE]
	and		a, 4h
endm
;   SetLCD_1D6_Data macro
macro SetLCD_1D6_Data
	or		[Port_1_Data_SHADE], 4h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm
;   SetLCD_1D6_Data macro
macro ClearLCD_1D6_Data
	and		[Port_1_Data_SHADE], ~4h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm

; LCD_1D6_DriveMode_0 access macros
;   GetLCD_1D6_DriveMode_0 macro, return in a
macro GetLCD_1D6_DriveMode_0
	mov		a,[Port_1_DriveMode_0_SHADE]
	and		a, 4h
endm
;   SetLCD_1D6_DriveMode_0 macro
macro SetLCD_1D6_DriveMode_0
	or		[Port_1_DriveMode_0_SHADE], 4h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm
;   SetLCD_1D6_DriveMode_0 macro
macro ClearLCD_1D6_DriveMode_0
	and		[Port_1_DriveMode_0_SHADE], ~4h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm

; LCD_1D6_DriveMode_1 access macros
;   GetLCD_1D6_DriveMode_1 macro, return in a
macro GetLCD_1D6_DriveMode_1
	mov		a,[Port_1_DriveMode_1_SHADE]
	and		a, 4h
endm
;   SetLCD_1D6_DriveMode_1 macro
macro SetLCD_1D6_DriveMode_1
	or		[Port_1_DriveMode_1_SHADE], 4h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm
;   SetLCD_1D6_DriveMode_1 macro
macro ClearLCD_1D6_DriveMode_1
	and		[Port_1_DriveMode_1_SHADE], ~4h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm

; LCD_1D7 address and mask equates
LCD_1D7_Data_ADDR:	equ	4h
LCD_1D7_DriveMode_0_ADDR:	equ	104h
LCD_1D7_DriveMode_1_ADDR:	equ	105h
LCD_1D7_GlobalSelect_ADDR:	equ	6h
LCD_1D7_IntCtrl_0_ADDR:	equ	106h
LCD_1D7_IntCtrl_1_ADDR:	equ	107h
LCD_1D7_IntEn_ADDR:	equ	5h
LCD_1D7_MASK:	equ	8h
; LCD_1D7_Data access macros
;   GetLCD_1D7_Data macro, return in a
macro GetLCD_1D7_Data
	mov		a,[Port_1_Data_SHADE]
	and		a, 8h
endm
;   SetLCD_1D7_Data macro
macro SetLCD_1D7_Data
	or		[Port_1_Data_SHADE], 8h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm
;   SetLCD_1D7_Data macro
macro ClearLCD_1D7_Data
	and		[Port_1_Data_SHADE], ~8h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm

; LCD_1D7_DriveMode_0 access macros
;   GetLCD_1D7_DriveMode_0 macro, return in a
macro GetLCD_1D7_DriveMode_0
	mov		a,[Port_1_DriveMode_0_SHADE]
	and		a, 8h
endm
;   SetLCD_1D7_DriveMode_0 macro
macro SetLCD_1D7_DriveMode_0
	or		[Port_1_DriveMode_0_SHADE], 8h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm
;   SetLCD_1D7_DriveMode_0 macro
macro ClearLCD_1D7_DriveMode_0
	and		[Port_1_DriveMode_0_SHADE], ~8h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm

; LCD_1D7_DriveMode_1 access macros
;   GetLCD_1D7_DriveMode_1 macro, return in a
macro GetLCD_1D7_DriveMode_1
	mov		a,[Port_1_DriveMode_1_SHADE]
	and		a, 8h
endm
;   SetLCD_1D7_DriveMode_1 macro
macro SetLCD_1D7_DriveMode_1
	or		[Port_1_DriveMode_1_SHADE], 8h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm
;   SetLCD_1D7_DriveMode_1 macro
macro ClearLCD_1D7_DriveMode_1
	and		[Port_1_DriveMode_1_SHADE], ~8h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm

; LCD_1E address and mask equates
LCD_1E_Data_ADDR:	equ	4h
LCD_1E_DriveMode_0_ADDR:	equ	104h
LCD_1E_DriveMode_1_ADDR:	equ	105h
LCD_1E_GlobalSelect_ADDR:	equ	6h
LCD_1E_IntCtrl_0_ADDR:	equ	106h
LCD_1E_IntCtrl_1_ADDR:	equ	107h
LCD_1E_IntEn_ADDR:	equ	5h
LCD_1E_MASK:	equ	10h
; LCD_1E_Data access macros
;   GetLCD_1E_Data macro, return in a
macro GetLCD_1E_Data
	mov		a,[Port_1_Data_SHADE]
	and		a, 10h
endm
;   SetLCD_1E_Data macro
macro SetLCD_1E_Data
	or		[Port_1_Data_SHADE], 10h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm
;   SetLCD_1E_Data macro
macro ClearLCD_1E_Data
	and		[Port_1_Data_SHADE], ~10h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm

; LCD_1E_DriveMode_0 access macros
;   GetLCD_1E_DriveMode_0 macro, return in a
macro GetLCD_1E_DriveMode_0
	mov		a,[Port_1_DriveMode_0_SHADE]
	and		a, 10h
endm
;   SetLCD_1E_DriveMode_0 macro
macro SetLCD_1E_DriveMode_0
	or		[Port_1_DriveMode_0_SHADE], 10h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm
;   SetLCD_1E_DriveMode_0 macro
macro ClearLCD_1E_DriveMode_0
	and		[Port_1_DriveMode_0_SHADE], ~10h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm

; LCD_1E_DriveMode_1 access macros
;   GetLCD_1E_DriveMode_1 macro, return in a
macro GetLCD_1E_DriveMode_1
	mov		a,[Port_1_DriveMode_1_SHADE]
	and		a, 10h
endm
;   SetLCD_1E_DriveMode_1 macro
macro SetLCD_1E_DriveMode_1
	or		[Port_1_DriveMode_1_SHADE], 10h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm
;   SetLCD_1E_DriveMode_1 macro
macro ClearLCD_1E_DriveMode_1
	and		[Port_1_DriveMode_1_SHADE], ~10h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm

; LCD_1RS address and mask equates
LCD_1RS_Data_ADDR:	equ	4h
LCD_1RS_DriveMode_0_ADDR:	equ	104h
LCD_1RS_DriveMode_1_ADDR:	equ	105h
LCD_1RS_GlobalSelect_ADDR:	equ	6h
LCD_1RS_IntCtrl_0_ADDR:	equ	106h
LCD_1RS_IntCtrl_1_ADDR:	equ	107h
LCD_1RS_IntEn_ADDR:	equ	5h
LCD_1RS_MASK:	equ	20h
; LCD_1RS_Data access macros
;   GetLCD_1RS_Data macro, return in a
macro GetLCD_1RS_Data
	mov		a,[Port_1_Data_SHADE]
	and		a, 20h
endm
;   SetLCD_1RS_Data macro
macro SetLCD_1RS_Data
	or		[Port_1_Data_SHADE], 20h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm
;   SetLCD_1RS_Data macro
macro ClearLCD_1RS_Data
	and		[Port_1_Data_SHADE], ~20h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm

; LCD_1RS_DriveMode_0 access macros
;   GetLCD_1RS_DriveMode_0 macro, return in a
macro GetLCD_1RS_DriveMode_0
	mov		a,[Port_1_DriveMode_0_SHADE]
	and		a, 20h
endm
;   SetLCD_1RS_DriveMode_0 macro
macro SetLCD_1RS_DriveMode_0
	or		[Port_1_DriveMode_0_SHADE], 20h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm
;   SetLCD_1RS_DriveMode_0 macro
macro ClearLCD_1RS_DriveMode_0
	and		[Port_1_DriveMode_0_SHADE], ~20h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm

; LCD_1RS_DriveMode_1 access macros
;   GetLCD_1RS_DriveMode_1 macro, return in a
macro GetLCD_1RS_DriveMode_1
	mov		a,[Port_1_DriveMode_1_SHADE]
	and		a, 20h
endm
;   SetLCD_1RS_DriveMode_1 macro
macro SetLCD_1RS_DriveMode_1
	or		[Port_1_DriveMode_1_SHADE], 20h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm
;   SetLCD_1RS_DriveMode_1 macro
macro ClearLCD_1RS_DriveMode_1
	and		[Port_1_DriveMode_1_SHADE], ~20h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm

; LCD_1RW address and mask equates
LCD_1RW_Data_ADDR:	equ	4h
LCD_1RW_DriveMode_0_ADDR:	equ	104h
LCD_1RW_DriveMode_1_ADDR:	equ	105h
LCD_1RW_GlobalSelect_ADDR:	equ	6h
LCD_1RW_IntCtrl_0_ADDR:	equ	106h
LCD_1RW_IntCtrl_1_ADDR:	equ	107h
LCD_1RW_IntEn_ADDR:	equ	5h
LCD_1RW_MASK:	equ	40h
; LCD_1RW_Data access macros
;   GetLCD_1RW_Data macro, return in a
macro GetLCD_1RW_Data
	mov		a,[Port_1_Data_SHADE]
	and		a, 40h
endm
;   SetLCD_1RW_Data macro
macro SetLCD_1RW_Data
	or		[Port_1_Data_SHADE], 40h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm
;   SetLCD_1RW_Data macro
macro ClearLCD_1RW_Data
	and		[Port_1_Data_SHADE], ~40h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm

; LCD_1RW_DriveMode_0 access macros
;   GetLCD_1RW_DriveMode_0 macro, return in a
macro GetLCD_1RW_DriveMode_0
	mov		a,[Port_1_DriveMode_0_SHADE]
	and		a, 40h
endm
;   SetLCD_1RW_DriveMode_0 macro
macro SetLCD_1RW_DriveMode_0
	or		[Port_1_DriveMode_0_SHADE], 40h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm
;   SetLCD_1RW_DriveMode_0 macro
macro ClearLCD_1RW_DriveMode_0
	and		[Port_1_DriveMode_0_SHADE], ~40h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm

; LCD_1RW_DriveMode_1 access macros
;   GetLCD_1RW_DriveMode_1 macro, return in a
macro GetLCD_1RW_DriveMode_1
	mov		a,[Port_1_DriveMode_1_SHADE]
	and		a, 40h
endm
;   SetLCD_1RW_DriveMode_1 macro
macro SetLCD_1RW_DriveMode_1
	or		[Port_1_DriveMode_1_SHADE], 40h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm
;   SetLCD_1RW_DriveMode_1 macro
macro ClearLCD_1RW_DriveMode_1
	and		[Port_1_DriveMode_1_SHADE], ~40h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm

; ENC_CLR address and mask equates
ENC_CLR_Data_ADDR:	equ	4h
ENC_CLR_DriveMode_0_ADDR:	equ	104h
ENC_CLR_DriveMode_1_ADDR:	equ	105h
ENC_CLR_GlobalSelect_ADDR:	equ	6h
ENC_CLR_IntCtrl_0_ADDR:	equ	106h
ENC_CLR_IntCtrl_1_ADDR:	equ	107h
ENC_CLR_IntEn_ADDR:	equ	5h
ENC_CLR_MASK:	equ	80h
; ENC_CLR_Data access macros
;   GetENC_CLR_Data macro, return in a
macro GetENC_CLR_Data
	mov		a,[Port_1_Data_SHADE]
	and		a, 80h
endm
;   SetENC_CLR_Data macro
macro SetENC_CLR_Data
	or		[Port_1_Data_SHADE], 80h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm
;   SetENC_CLR_Data macro
macro ClearENC_CLR_Data
	and		[Port_1_Data_SHADE], ~80h
	mov		reg[Port_1_Data], [Port_1_Data_SHADE]
endm

; ENC_CLR_DriveMode_0 access macros
;   GetENC_CLR_DriveMode_0 macro, return in a
macro GetENC_CLR_DriveMode_0
	mov		a,[Port_1_DriveMode_0_SHADE]
	and		a, 80h
endm
;   SetENC_CLR_DriveMode_0 macro
macro SetENC_CLR_DriveMode_0
	or		[Port_1_DriveMode_0_SHADE], 80h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm
;   SetENC_CLR_DriveMode_0 macro
macro ClearENC_CLR_DriveMode_0
	and		[Port_1_DriveMode_0_SHADE], ~80h
	mov		reg[Port_1_DriveMode_0], [Port_1_DriveMode_0_SHADE]
endm

; ENC_CLR_DriveMode_1 access macros
;   GetENC_CLR_DriveMode_1 macro, return in a
macro GetENC_CLR_DriveMode_1
	mov		a,[Port_1_DriveMode_1_SHADE]
	and		a, 80h
endm
;   SetENC_CLR_DriveMode_1 macro
macro SetENC_CLR_DriveMode_1
	or		[Port_1_DriveMode_1_SHADE], 80h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm
;   SetENC_CLR_DriveMode_1 macro
macro ClearENC_CLR_DriveMode_1
	and		[Port_1_DriveMode_1_SHADE], ~80h
	mov		reg[Port_1_DriveMode_1], [Port_1_DriveMode_1_SHADE]
endm

; ENC_Pin address and mask equates
ENC_Pin_Data_ADDR:	equ	8h
ENC_Pin_DriveMode_0_ADDR:	equ	108h
ENC_Pin_DriveMode_1_ADDR:	equ	109h
ENC_Pin_GlobalSelect_ADDR:	equ	ah
ENC_Pin_IntCtrl_0_ADDR:	equ	10ah
ENC_Pin_IntCtrl_1_ADDR:	equ	10bh
ENC_Pin_IntEn_ADDR:	equ	9h
ENC_Pin_MASK:	equ	2h
; ENC_CW address and mask equates
ENC_CW_Data_ADDR:	equ	8h
ENC_CW_DriveMode_0_ADDR:	equ	108h
ENC_CW_DriveMode_1_ADDR:	equ	109h
ENC_CW_GlobalSelect_ADDR:	equ	ah
ENC_CW_IntCtrl_0_ADDR:	equ	10ah
ENC_CW_IntCtrl_1_ADDR:	equ	10bh
ENC_CW_IntEn_ADDR:	equ	9h
ENC_CW_MASK:	equ	8h
; Tx address and mask equates
Tx_Data_ADDR:	equ	8h
Tx_DriveMode_0_ADDR:	equ	108h
Tx_DriveMode_1_ADDR:	equ	109h
Tx_GlobalSelect_ADDR:	equ	ah
Tx_IntCtrl_0_ADDR:	equ	10ah
Tx_IntCtrl_1_ADDR:	equ	10bh
Tx_IntEn_ADDR:	equ	9h
Tx_MASK:	equ	20h
; Rx address and mask equates
Rx_Data_ADDR:	equ	8h
Rx_DriveMode_0_ADDR:	equ	108h
Rx_DriveMode_1_ADDR:	equ	109h
Rx_GlobalSelect_ADDR:	equ	ah
Rx_IntCtrl_0_ADDR:	equ	10ah
Rx_IntCtrl_1_ADDR:	equ	10bh
Rx_IntEn_ADDR:	equ	9h
Rx_MASK:	equ	80h
